> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/developer/integrate/openapi/font.md).

# Font

font

## Font Search

> Search the available Fonts

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts":{"get":{"tags":["font"],"summary":"Font Search","description":"Search the available Fonts","operationId":"fontSearch","parameters":[{"name":"id","in":"query","description":"Filter by Font Id","required":false,"schema":{"type":"integer"}},{"name":"name","in":"query","description":"Filter by Font Name","required":false,"schema":{"type":"string"}},{"name":"sortBy","in":"query","description":"Specifies which field the results are sorted by. Used together with sortDir","required":false,"schema":{"type":"string","enum":["id","name","fileName","familyName","createdAt","modifiedAt","modifiedBy","size"]}},{"name":"sortDir","in":"query","description":"Sort direction","required":false,"schema":{"type":"string","enum":["asc","desc"]}}],"responses":{"200":{"description":"successful operation","headers":{"X-Total-Count":{"description":"The total number of records","schema":{"type":"integer"}}},"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Font"}}}}}}}}},"components":{"schemas":{"Font":{"description":"Class Font","properties":{"id":{"description":"The Font ID","type":"integer"},"createdAt":{"description":"The Font created date","type":"string"},"modifiedAt":{"description":"The Font modified date","type":"string"},"modifiedBy":{"description":"The name of the user that modified this font last","type":"string"},"name":{"description":"The Font name","type":"string"},"fileName":{"description":"The Font file name","type":"string"},"familyName":{"description":"The Font family name","type":"string"},"size":{"description":"The Font file size in bytes","type":"integer"},"md5":{"description":"A MD5 checksum of the stored font file","type":"string"}},"type":"object"}}}}
```

## Font Upload

> Upload a new Font file

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts":{"post":{"tags":["font"],"summary":"Font Upload","description":"Upload a new Font file","operationId":"fontUpload","requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"required":["files"],"properties":{"files":{"description":"The Uploaded File","type":"string","format":"binary"},"name":{"description":"Optional Font Name","type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"successful operation"}}}}}}
```

## Font Search by ID

> Get the Font object specified by the provided fontId

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts/{fontId}":{"get":{"tags":["font"],"summary":"Font Search by ID","description":"Get the Font object specified by the provided fontId","operationId":"fontSearchById","parameters":[{"name":"fontId","in":"path","description":"Numeric ID of the Font to get","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Font"}}}}}}}},"components":{"schemas":{"Font":{"description":"Class Font","properties":{"id":{"description":"The Font ID","type":"integer"},"createdAt":{"description":"The Font created date","type":"string"},"modifiedAt":{"description":"The Font modified date","type":"string"},"modifiedBy":{"description":"The name of the user that modified this font last","type":"string"},"name":{"description":"The Font name","type":"string"},"fileName":{"description":"The Font file name","type":"string"},"familyName":{"description":"The Font family name","type":"string"},"size":{"description":"The Font file size in bytes","type":"integer"},"md5":{"description":"A MD5 checksum of the stored font file","type":"string"}},"type":"object"}}}}
```

## Font Details

> Get the Font details

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts/details/{id}":{"get":{"tags":["font"],"summary":"Font Details","description":"Get the Font details","operationId":"fontDetails","parameters":[{"name":"id","in":"path","description":"The Font ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation"}}}}}}
```

## Download Font

> Download a Font file from the Library

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts/download/{id}":{"get":{"tags":["font"],"summary":"Download Font","description":"Download a Font file from the Library","operationId":"fontDownload","parameters":[{"name":"id","in":"path","description":"The Font ID to Download","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","headers":{"X-Sendfile":{"description":"Apache Send file header - if enabled.","schema":{"type":"string"}},"X-Accel-Redirect":{"description":"nginx send file header - if enabled.","schema":{"type":"string"}}},"content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}}}}}}}
```

## Font Delete

> Delete existing Font file

```json
{"openapi":"3.0.0","info":{"title":"Xibo API","version":"4.5"},"tags":[{"name":"font","description":"font"}],"servers":[{"url":"/api"}],"paths":{"/fonts/{id}/delete":{"delete":{"tags":["font"],"summary":"Font Delete","description":"Delete existing Font file","operationId":"fontDelete","parameters":[{"name":"id","in":"path","description":"The Font ID to delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"successful operation"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/developer/integrate/openapi/font.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
